Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class Arc

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.Circular
                  de.grogra.math.Arc

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable, XObject

    public class Arc

extends Circular

Nested Class Summary
`static class` | `Arc.Type`

Field Summary
`static Arc.Type` | `$TYPE`
`static SCOType.Field` | `endAngle$FIELD`
`static SCOType.Field` | `radius$FIELD`
`static SCOType.Field` | `startAngle$FIELD`

Fields inherited from class de.grogra.math.Circular
`intermediateArcs$FIELD, plane$FIELD, reverse$FIELD, startingAtCenter$FIELD`

Constructor Summary
`Arc()`
`Arc(float startAngle, float endAngle, float radius)`

Method Summary
`protected float[]` | `calculateCache(GraphState gs)`
`protected int` | `getArcCount()`
`int` | `getDimension(GraphState gs)`
`float` | `getEndAngle()`
`ManageableType` | `getManageableType()`
`float` | `getRadius()`
`float` | `getStartAngle()`
`void` | `setEndAngle(float value)`
`void` | `setRadius(float value)`
`void` | `setStartAngle(float value)`

Methods inherited from class de.grogra.math.Circular
`dependsOnContext, getDegree, getIntermediateArcs, getKnot, getPlane, getSize, getVertex, getXClass, getXData, initXClass, isRational, isReverse, isStartingAtCenter, setIntermediateArcs, setPlane, setReverse, setStartingAtCenter`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Field Detail

### $TYPE

    public static final Arc.Type $TYPE

### endAngle$FIELD

    public static final SCOType.Field endAngle$FIELD

### radius$FIELD

    public static final SCOType.Field radius$FIELD

### startAngle$FIELD

    public static final SCOType.Field startAngle$FIELD

Constructor Detail

### Arc

    public Arc()

### Arc

    public Arc(float startAngle,
               float endAngle,
               float radius)

Method Detail

### calculateCache

    protected float[] calculateCache(GraphState gs)

  Specified by:
    `calculateCache` in class `Circular`

### getArcCount

    protected int getArcCount()

  Specified by:
    `getArcCount` in class `Circular`

### getDimension

    public int getDimension(GraphState gs)

### getEndAngle

    public float getEndAngle()

### getManageableType

    public ManageableType getManageableType()

### getRadius

    public float getRadius()

### getStartAngle

    public float getStartAngle()

### setEndAngle

    public void setEndAngle(float value)

### setRadius

    public void setRadius(float value)

### setStartAngle

    public void setStartAngle(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD